# Uses of Class
javax.security.auth.login.AppConfigurationEntry

Packages that use AppConfigurationEntry
Package
Description
com.sun.security.auth.login
Provides an implementation of `Configuration`.
javax.security.auth.login
This package provides a pluggable authentication framework.

## Uses of AppConfigurationEntry in com.sun.security.auth.login

Methods in com.sun.security.auth.login that return AppConfigurationEntry
Modifier and Type
Method
Description
`AppConfigurationEntry[]`
ConfigFile.`getAppConfigurationEntry(String applicationName)`
Retrieve an entry from the `Configuration` using an application name as an index.

## Uses of AppConfigurationEntry in javax.security.auth.login

Methods in javax.security.auth.login that return AppConfigurationEntry
Modifier and Type
Method
Description
`protected abstract AppConfigurationEntry[]`
ConfigurationSpi.`engineGetAppConfigurationEntry(String name)`
Retrieve the AppConfigurationEntries for the specified `name`.
`abstract AppConfigurationEntry[]`
Configuration.`getAppConfigurationEntry(String name)`
Retrieve the AppConfigurationEntries for the specified `name` from this Configuration.